package com.gic.haoban.manage.web.vo.content.statistics;

import java.io.Serializable;

public class ContentMaterialKnowVO implements Serializable {

    /**
     * 素材id
     */
    private Long contentMaterialId;

    /**
     * 评论人数
     */
    private Integer cmtNum;

    /**
     * 评论次数
     */
    private Integer cmtCnt;

    /**
     * 阅读人数
     */
    private Integer readNum;

    /**
     * 阅读次数
     */
    private Integer readCnt;

    /**
     * 点赞人数
     */
    private Integer likeNum;

    /**
     * 点赞次数
     */
    private Integer likeCnt;

    public ContentMaterialKnowVO() {
    }

    public ContentMaterialKnowVO(Integer cmtNum, Integer cmtCnt, Integer readNum, Integer readCnt, Integer likeNum, Integer likeCnt) {
        this.cmtNum = cmtNum;
        this.cmtCnt = cmtCnt;
        this.readNum = readNum;
        this.readCnt = readCnt;
        this.likeNum = likeNum;
        this.likeCnt = likeCnt;
    }

    public void setKnow(ContentMaterialKnowVO know) {
        if (know == null) {
            this.setCmtNum(0);
            this.setCmtCnt(0);
            this.setReadCnt(0);
            this.setReadNum(0);
            this.setLikeCnt(0);
            this.setLikeNum(0);
            return;
        }
        this.setCmtNum(know.getCmtNum());
        this.setCmtCnt(know.getCmtCnt());
        this.setReadCnt(know.getReadCnt());
        this.setReadNum(know.getReadNum());
        this.setLikeCnt(know.getLikeCnt());
        this.setLikeNum(know.getLikeNum());
    }

    public Long getContentMaterialId() {
        return contentMaterialId;
    }

    public void setContentMaterialId(Long contentMaterialId) {
        this.contentMaterialId = contentMaterialId;
    }

    public Integer getCmtNum() {
        return cmtNum;
    }

    public void setCmtNum(Integer cmtNum) {
        this.cmtNum = cmtNum;
    }

    public Integer getCmtCnt() {
        return cmtCnt;
    }

    public void setCmtCnt(Integer cmtCnt) {
        this.cmtCnt = cmtCnt;
    }

    public Integer getReadNum() {
        return readNum;
    }

    public void setReadNum(Integer readNum) {
        this.readNum = readNum;
    }

    public Integer getReadCnt() {
        return readCnt;
    }

    public void setReadCnt(Integer readCnt) {
        this.readCnt = readCnt;
    }

    public Integer getLikeNum() {
        return likeNum;
    }

    public void setLikeNum(Integer likeNum) {
        this.likeNum = likeNum;
    }

    public Integer getLikeCnt() {
        return likeCnt;
    }

    public void setLikeCnt(Integer likeCnt) {
        this.likeCnt = likeCnt;
    }
}
